%define pkg_name        Set-Infinite
%define pkg_version     0.61
%define rpm_pkg_version 0.61
%define rpm_pkg_release 3.n0i.6

Summary:       Infinite Set Theory module, with Date, Time
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/F/FG/FGLOCK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Time::Local)}


%description
Set::Infinite is a Set Theory module for infinite sets.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.61-3.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.61-2.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.61-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.61-1.n0i.3
- version 0.61

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.59-2.n0i.2
- version 0.59

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.57-1.n0i.1
- version 0.57
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
